%{?drupal7_find_provides_and_requires}

%global module ds

Name:          drupal7-%{module}
Version:       2.7
Release:       1%{?dist}
Summary:       Extend the display options for every entity type

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7-ctools
#Requires:      drupal7(ctools)
# phpcompatinfo (computed from version 2.7)
Requires:      php-pcre

%description
Display Suite allows you to take full control over how your content is displayed
using a drag and drop interface. Arrange your nodes, views, comments, user data
etc. the way you want without having to work your way through dozens of template
files. A predefined list of layouts (D7 only) is available for even more drag
and drop fun!

By defining custom view modes (build modes in D6), you can define how one piece
of content should be displayed in different places such as teaser lists, search
results, the full node, views etc.

Watch a screen-cast (http://drupal.org/node/644706) to see it all in action!

This package provides the following Drupal modules:
* %{module}
* %{module}_ui
* %{module}_devel (NOTE: Requires install of the devel module)
* %{module}_format
* %{module}_extras
* %{module}_search
* %{module}_forms


%prep
%setup -qn %{module}


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt
%{drupal7_modules}/%{module}


%changelog
* Sun Nov 09 2014 Shawn Iwinski <shawn.iwinski@gmail.com> 2.7-1
- Updated to 2.7 (BZ #1159477)
- Removed RPM README b/c it only explained common Drupal workflow
- %%license usage

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 11 2013 Peter Borsa <peter.borsa@gmail.com> - 2.6-1
- Update to upstream 2.6 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2081631

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 2.4-2
- Fixed dependency typo (drupal7-cools => drupal7-ctools)

* Sun Jun 16 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 2.4-1
- Updated to 2.4
- Updated for drupal7-rpmbuild 7.22-5

* Fri May 03 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 2.2-1
- Initial package
